Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.mtp3
Interface LinkMBean

public abstract interface LinkMBean
extends Mtp3ManagedObjectMBean

This interface defines the methods of a Link Managed Bean. A number of LinkMBeans are combined together to form a LinksetMBean. Each LinkMBean can be added to a previously defined LinksetMBean by invoking the setLink() method of the LinksetMBean and by passing the ObjectName of the LinkMBean.

The following statistics can be collected for this MBean

- MTP3_DUR_LINK_IN_SERV
- MTP3_SL_FAILURE
- MTP3_NUM_SIG_UNITS_RECEIVED_ERR
- MTP3_DUR_SL_UNAVAILABILITY

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED
- MTP3_ALARM_SL_FAILURE
- MTP3_ALARM_SL_EXCESSIVE_ERROR_RATE
- MTP3_ALARM_SL_EXCESSIVE_CONGESTION
- MTP3_ALARM_SL_LOCAL_AUTO_CHANGEOVER
- MTP3_ALARM_SL_LOCAL_AUTO_CHANGEBACK
- MTP3_ALARM_SL_RESTORATION
- MTP3_ALARM_SL_END_REMOTE_PROCESSOR_OUTAGE
- MTP3_ALARM_SL_START_LOCAL_INHIBITION
- MTP3_ALARM_SL_STOP_LOCAL_INHIBITION
- MTP3_ALARM_SL_START_REMOTE_INHIBITION
- MTP3_ALARM_SL_STOP_REMOTE_INHIBITION
- MTP3_ALARM_SL_INHIBIT_DENIED
- MTP3_ALARM_SL_UNINHIBIT_DENIED
- MTP3_ALARM_SL_REMOTELY_BLOCKED
- MTP3_ALARM_SL_REMOTELY_UNBLOCKED
- MTP3_ALARM_SL_LOCALLY_BLOCKED
- MTP3_ALARM_SL_LOCALLY_UNBLOCKED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the MTP3 JAIN OAM MBeans

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `CONG_CONGESTED_LEVEL1` A Congestion Level constant: level 1
`static int` | `CONG_CONGESTED_LEVEL2` A Congestion Level constant: level 2
`static int` | `CONG_CONGESTED_LEVEL3` A Congestion Level constant: level 3
`static int` | `CONG_UNCONGESTED` A Congestion Level constant: uncongested
`static int` | `DISCARD_LEVEL_1` A Discard Level constant: level 1
`static int` | `DISCARD_LEVEL_2` A Discard Level constant: level 2
`static int` | `DISCARD_LEVEL_3` A Discard Level constant: level 3

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`java.lang.Integer` | `getCongestionAbate(java.lang.Integer congestionLevel)` Returns the value at which a link congestion situation ends for the specified congestion level.
`java.lang.Integer` | `getCongestionLevel()` Gets the Congestion Level of this Link.
`java.lang.Integer` | `getCongestionOnset(java.lang.Integer congestionLevel)` Returns the value at which a link congestion situation starts for the specified congestion level.
`java.lang.Integer` | `getCurrentCapacity()` Returns the Current Capacity of this Link.
`java.lang.Integer` | `getDiscardAbate(java.lang.Integer discardLevel)` Returns the value at which MSUs are no longer discarded for the specified discard level.
`java.lang.Integer` | `getDiscardOnset(java.lang.Integer discardLevel)` Returns the value at which MSUs are discarded for the specified discard level.
`java.lang.Integer` | `getMaxCapacity()` Returns the Maximum Capacity of this Link.
`ObjectName` | `getMtp2Sap()` Returns the ObjectName of the Mtp2 Service Access Point MBean (Mtp2SapMBean) associated with this Signalling Link (LinkMBean).
`java.lang.Integer` | `getSignallingLinkCode()` Gets the Signalling Link Code (SLC) parameter of this Signalling Link.
`java.lang.Boolean` | `isActive()` Returns whether this Signalling Link is active or innactive.
`java.lang.Boolean` | `isEnabled()` Returns whether this Link is enabled or disabled (the operational state of this Link).
`java.lang.Boolean` | `isLocallyBlocked()` Returns the Locally Blocked Status parameter of this Signalling Link.
`java.lang.Boolean` | `isRoutingAllowed()` Returns whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via this Link (the Adiministrative State).
`java.lang.Boolean` | `isSignallingLinkTestOn()` Returns the Signalling Link testing.
`java.lang.Boolean` | `isTestPeriodically()` Returns whether the link is tested periodically.
`void` | `setActive(java.lang.Boolean active)` Activates or deactivates this Signalling Link.
`void` | `setCongestionAbate(java.lang.Integer congestionLevel, java.lang.Integer congestionAbate)` Sets the value at which a link congestion situation ends for the specified congestion level.
`void` | `setCongestionOnset(java.lang.Integer congestionLevel, java.lang.Integer congestionOnset)` Sets the value at which a link congestion situation starts for the specified congestion level.
`void` | `setDiscardAbate(java.lang.Integer discardLevel, java.lang.Integer discardAbate)` Sets the value at which MSUs are no longer discarded for the specified discard level.
`void` | `setDiscardOnset(java.lang.Integer discardLevel, java.lang.Integer discardOnset)` Sets the value at which MSUs are discarded for the specified discard level.
`void` | `setEnabled(java.lang.Boolean enabled)` Sets the operational state of this link.
`void` | `setInstalled(java.lang.Boolean installed)` Sets the Installed Status parameter of this Signalling Link.
`void` | `setLinkNormal(java.lang.Boolean linkNormal)` Sets the Link Normal Status parameter of this Signalling Link.
`void` | `setLocallyBlocked(java.lang.Boolean locallyBlocked)` Sets the Locally Blocked Status parameter of this Signalling Link.
`void` | `setMtp2Sap(ObjectName mtp2SapMBean)` Sets the Mtp2 Service Access Point MBean (identified by the specified ObjecName) associated with this Signalling Link (LinkMBean).
`void` | `setRoutingAllowed(java.lang.Boolean allowed)` Sets whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via this Link (the Adiministrative State).
`void` | `setSignallingLinkCode(java.lang.Integer signallingLinkCode)` Sets the Signalling Link Code (SLC)of this Signalling Link.
`void` | `setSignallingLinkTestOn(java.lang.Boolean signallingLinkTestOn)` Sets the Signalling Link testing.
`void` | `setStatus(java.lang.Integer status)` Sets the status of this Link (as defined in ITU Rec.
`void` | `setTestPeriodically(java.lang.Boolean testPeriodically)` Sets the periodic testing of this signalling link

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### DISCARD_LEVEL_1

    public static final int DISCARD_LEVEL_1

  A Discard Level constant: level 1

### DISCARD_LEVEL_2

    public static final int DISCARD_LEVEL_2

  A Discard Level constant: level 2

### DISCARD_LEVEL_3

    public static final int DISCARD_LEVEL_3

  A Discard Level constant: level 3

### CONG_UNCONGESTED

    public static final int CONG_UNCONGESTED

  A Congestion Level constant: uncongested

### CONG_CONGESTED_LEVEL1

    public static final int CONG_CONGESTED_LEVEL1

  A Congestion Level constant: level 1

### CONG_CONGESTED_LEVEL2

    public static final int CONG_CONGESTED_LEVEL2

  A Congestion Level constant: level 2

### CONG_CONGESTED_LEVEL3

    public static final int CONG_CONGESTED_LEVEL3

  A Congestion Level constant: level 3

Method Detail

### setSignallingLinkCode

    public void setSignallingLinkCode(java.lang.Integer signallingLinkCode)
                               throws java.lang.IllegalArgumentException

  Sets the Signalling Link Code (SLC)of this Signalling Link. The SLC is the same value (between 0 and 15) at each end of the link, and is different from that of any other link between the same two adjacent signalling points.
  Throws:
    java.lang.IllegalArgumentException - - if the supplied signalling link code is not an acceptable value

### getSignallingLinkCode

    public java.lang.Integer getSignallingLinkCode()

  Gets the Signalling Link Code (SLC) parameter of this Signalling Link. The SLC is the same value (between 0 and 15) at each end of the link, and is different from that of any other link between the same two adjacent signalling points.

### getMaxCapacity

    public java.lang.Integer getMaxCapacity()

  Returns the Maximum Capacity of this Link. The maximum capacity of a signalling link is the maximum load that should be placed on the signalling link. This can be expressed as the number of Message Signal Units (and octets) transportable each way per second. This is a display only attribute.
  Returns:
    the maximum capacity of this Link expressed as the number of Message Signal Units (and octets) per second.

### getCurrentCapacity

    public java.lang.Integer getCurrentCapacity()

  Returns the Current Capacity of this Link. The current capacity of a Link (implementation dependent, consequently an optional attribute) is the maximum load that should be placed on the Link given the present configuration of Signalling Data Links (SDLs) to signalling terminals.
  Could be used where Signalling Terminal (ST) capacities might be different in an implementation and automatic allocation of SDL to ST can be done, and/or where a signalling terminal could control several Links. The current capacity is the calculated maximum message traffic (MSUs and octets) that can be carried with the currently available links. This is a display only attribute.
  Returns:
    the Current Capacity of this Link.

### setStatus

    public void setStatus(java.lang.Integer status)

  Sets the status of this Link (as defined in ITU Rec. Q.704).
  Parameters:
    `statusone` - of the following :

    - STATUS_LOCALLY_BLOCKED
    - STATUS_REMOTELY_BLOCKED
    - STATUS_LOCALLY_INHIBITED
    - STATUS_REMOTELY_INHBITED
    - STATUS_FAILED
    - STATUS_DEACTIVATED

### isEnabled

    public java.lang.Boolean isEnabled()

  Returns whether this Link is enabled or disabled (the operational state of this Link).
  Returns:
    either:

    - true if this Link is enabled.
    - false if this Link is disabled.

### isLocallyBlocked

    public java.lang.Boolean isLocallyBlocked()

  Returns the Locally Blocked Status parameter of this Signalling Link.

### setEnabled

    public void setEnabled(java.lang.Boolean enabled)

  Sets the operational state of this link.
  Parameters:
    `enabled` - the opertaional state (enabled or disabled) either:

    - true enables this Link.
    - false disables this Link.

### setRoutingAllowed

    public void setRoutingAllowed(java.lang.Boolean allowed)

  Sets whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via this Link (the Adiministrative State).
  Parameters:
    `allowed` - either:

    - true if routing is permitted (unlocked).
    - false otherwise (locked).

### isRoutingAllowed

    public java.lang.Boolean isRoutingAllowed()

  Returns whether it is administratively permitted to route SS7 MSUs towards the Destination Signalling Point via this Link (the Adiministrative State).
  Returns:
    either:

    - true if routing is permitted (unlocked).
    - false otherwise (locked).

### getCongestionLevel

    public java.lang.Integer getCongestionLevel()

  Gets the Congestion Level of this Link. This reflects Link congestion. Different values are valid depending on the protocol variant supported.

  - For ITU, with international option [Rec. Q.704 3.8.2.1 (a)] valid values are:

    - CONG_UNCONGESTED
    - CONG_CONGESTED_LEVEL1
  - For ITU, with national option [Rec. Q.704 3.8.2.1 (b)] OR for ANSI valid values are:

    - CONG_UNCONGESTED
    - CONG_CONGESTED_LEVEL1
    - CONG_CONGESTED_LEVEL2
    - CONG_CONGESTED_LEVEL3
  Returns:
    either :

    - CONG_UNCONGESTED
    - CONG_CONGESTED_LEVEL1
    - CONG_CONGESTED_LEVEL2
    - CONG_CONGESTED_LEVEL3

### setActive

    public void setActive(java.lang.Boolean active)

  Activates or deactivates this Signalling Link. When the link is originally created it will be deactivated by default.
  Parameters:
    `active` - either:

    - true This activates the link (puts the link into operation)and allows alignment of the link to take place.
    - false This deactivates the link (causing it to go out of alignment and to stop carrying traffic).

### isActive

    public java.lang.Boolean isActive()

  Returns whether this Signalling Link is active or innactive.
  Returns:
    either:

    - true The link is active. (the Signalling Link may have been activated for carrying traffic by operator command
    - false The link is inactive (the Link may have been prevented from aligning or carrying traffic autonomously or may have been deactivated by operator command.

### setLocallyBlocked

    public void setLocallyBlocked(java.lang.Boolean locallyBlocked)

  Sets the Locally Blocked Status parameter of this Signalling Link.

### setLinkNormal

    public void setLinkNormal(java.lang.Boolean linkNormal)

  Sets the Link Normal Status parameter of this Signalling Link.

### setInstalled

    public void setInstalled(java.lang.Boolean installed)

  Sets the Installed Status parameter of this Signalling Link.

### setSignallingLinkTestOn

    public void setSignallingLinkTestOn(java.lang.Boolean signallingLinkTestOn)

  Sets the Signalling Link testing.
  Parameters:
    `signallingLinkTestOn` - TRUE if link testing is on, FALSE otherwise.

### isSignallingLinkTestOn

    public java.lang.Boolean isSignallingLinkTestOn()

  Returns the Signalling Link testing.
  Returns:
    signallingLinkTestOn TRUE if link testing is on, FALSE otherwise.

### setTestPeriodically

    public void setTestPeriodically(java.lang.Boolean testPeriodically)

  Sets the periodic testing of this signalling link
  Parameters:
    `testPeriodically` - TRUE if periodic link testing is enabled.

### isTestPeriodically

    public java.lang.Boolean isTestPeriodically()

  Returns whether the link is tested periodically.
  Returns:
    TRUE if the link is tested periodically.

### setCongestionOnset

    public void setCongestionOnset(java.lang.Integer congestionLevel,
                                   java.lang.Integer congestionOnset)
                            throws java.lang.IllegalArgumentException

  Sets the value at which a link congestion situation starts for the specified congestion level.
  Parameters:
    `congestionLevel` - one of the congestion level constants.
    `congestionOnset` - the value at which a link congestion situation starts for the specified congestion level.
  Throws:
    java.lang.IllegalArgumentException - - if the congestion level is not one of those defined

### getCongestionOnset

    public java.lang.Integer getCongestionOnset(java.lang.Integer congestionLevel)
                                         throws java.lang.IllegalArgumentException

  Returns the value at which a link congestion situation starts for the specified congestion level.
  Parameters:
    `congestionLevel` - one of the congestion level constants.
  Returns:
    the value at which a link congestion situation starts for the specified congestion level.
  Throws:
    java.lang.IllegalArgumentException - - if the congestion level is not one of those defined

### setCongestionAbate

    public void setCongestionAbate(java.lang.Integer congestionLevel,
                                   java.lang.Integer congestionAbate)
                            throws java.lang.IllegalArgumentException

  Sets the value at which a link congestion situation ends for the specified congestion level.
  Parameters:
    `congestionLevelone` - of the congestion level constants.
    `congestionAbate` - the value at which a link congestion situation ends for the specified congestion level.
  Throws:
    java.lang.IllegalArgumentException - - if the congestion level is not one of those defined

### getCongestionAbate

    public java.lang.Integer getCongestionAbate(java.lang.Integer congestionLevel)
                                         throws java.lang.IllegalArgumentException

  Returns the value at which a link congestion situation ends for the specified congestion level.
  Parameters:
    `congestionLevel` - one of the congestion level constants.
  Returns:
    the value at which a link congestion situation ends for the specified congestion level.
  Throws:
    java.lang.IllegalArgumentException - - if the congestion level is not one of those defined

### setDiscardOnset

    public void setDiscardOnset(java.lang.Integer discardLevel,
                                java.lang.Integer discardOnset)
                         throws java.lang.IllegalArgumentException

  Sets the value at which MSUs are discarded for the specified discard level.
  Parameters:
    `discardLevel` - one of the discard level constants.
    `discardOnset` - the value MSUs are discarded for the specified discard level.
  Throws:
    java.lang.IllegalArgumentException - - if the discard level is not one of those defined

### getDiscardOnset

    public java.lang.Integer getDiscardOnset(java.lang.Integer discardLevel)
                                      throws java.lang.IllegalArgumentException

  Returns the value at which MSUs are discarded for the specified discard level.
  Parameters:
    `discardLevel` - one of the discard level constants.
  Returns:
    the value at which MSUs are discarded for the specified discard level.
  Throws:
    java.lang.IllegalArgumentException - - if the discard level is not one of those defined

### setDiscardAbate

    public void setDiscardAbate(java.lang.Integer discardLevel,
                                java.lang.Integer discardAbate)
                         throws java.lang.IllegalArgumentException

  Sets the value at which MSUs are no longer discarded for the specified discard level.
  Parameters:
    `discardLevel` - one of the discard level constants.
    `discardAbate` - the value MSUs are no longer discarded for the specified discard level.
  Throws:
    java.lang.IllegalArgumentException - - if the discard level is not one of those defined

### getDiscardAbate

    public java.lang.Integer getDiscardAbate(java.lang.Integer discardLevel)
                                      throws java.lang.IllegalArgumentException

  Returns the value at which MSUs are no longer discarded for the specified discard level.
  Parameters:
    `discardLevel` - one of the discard level constants.
  Returns:
    the value at which MSUs are no longer discarded for the specified discard level.
  Throws:
    java.lang.IllegalArgumentException - - if the discard level is not one of those defined

### getMtp2Sap

    public ObjectName getMtp2Sap()

  Returns the ObjectName of the Mtp2 Service Access Point MBean (Mtp2SapMBean) associated with this Signalling Link (LinkMBean).

### setMtp2Sap

    public void setMtp2Sap(ObjectName mtp2SapMBean)

  Sets the Mtp2 Service Access Point MBean (identified by the specified ObjecName) associated with this Signalling Link (LinkMBean).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems